Bug 18752 - g++ internal compiler error
Summary: g++ internal compiler error
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
high
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL: http://www.cs.princetonn.edu/~wtcorrea
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-09 22:25 UTC by Wagner T. Correa
Modified: 2018-03-08 12:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-03 17:02:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2000:132 normal SHIPPED_LIVE Bug fixing update of GCC 2.96 2000-12-19 05:00:00 UTC

Description Wagner T. Correa 2000-10-09 22:25:00 UTC
I was trying to compile the code below, and I got a fatal error message:

g++ -c -g    -Wall -w -fPIC -I/usr/include -I/home/lenap/cs/jot
/home/lenap/cs/jot/cli/cli.C
/home/lenap/cs/jot/cli/cli.C: In method `ClipObj::ClipObj (const 
VIEWptr &)':
/home/lenap/cs/jot/cli/cli.C:2211: Internal compiler error in 
emit_move_insn, at expr.c:2577
Please submit a full bug report.

The code is at http://www.cs.princeton.edu/~wtcorrea/jot.tar.gz.

The environment variables needed to compile the code is in the .bashrc
file.

I'd like to emphasize that this is urgent. The code will compile with g++
2.91 compiler.
Do you have any suggestions for a work around the problem?  Should I
install g++2.91 and
the necessary components?

Thank you,

Wagner Correa

Comment 1 Jakub Jelinek 2000-11-03 17:02:08 UTC
I've mailed a fix for this to gcc-patches today
( http://gcc.gnu.org/ml/gcc-patches/2000-11/msg00086.html ),
will see if it is accepted. If yes, it will make it into the next rawhide
gcc and soon after into gcc errata.

Comment 2 Jakub Jelinek 2000-11-13 09:17:32 UTC
Fixed in gcc-c++-2.96-63 in rawhide.

Comment 3 openshift-github-bot 2018-03-08 12:00:31 UTC
Commit pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/fbe1cd20ec3dedbcd1b5d7d8fa53368416784a20
Merge pull request #18811 from soltysh/issue18752

Automatic merge from submit-queue.

Register audit/v1beta1 for master config

Fixes #18752.

/assign @deads2k 
/cherry-pick 3.9


Note You need to log in before you can comment on or make changes to this bug.